// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#000');

// create tab group
var tabGroup = Titanium.UI.createTabGroup();


//
// create base UI tab and root window
//
var win1 = Titanium.UI.createWindow({  
    title:'Tab 1',
    backgroundColor:'#a80'
});
var tab1 = Titanium.UI.createTab({  
    icon:'KS_nav_views.png',
    title:'Bug 1',
    window:win1
});

var label1 = Titanium.UI.createLabel({
	color:'#999',
	text:'Version SDK:'+ Ti.version,
	font:{fontSize:20,fontFamily:'Helvetica Neue'},
	textAlign:'center',
	width:'auto',
	bottom:0,
	left:0,
});
win1.add(label1);
var alertWin = Ti.UI.createWindow({
	title:"New window",
	color:"#ff8"
});
var msg = Ti.UI.createLabel({
	touchEnabled:false,
});
alertWin.add(msg);
alertWin.addEventListener("click", function(e){
	e.source.close();
});
	Ti.include("/ui/Navigator.js");
		
		var navControl=Navigator.GetNavControl(false, false);
		navControl.isBackgroudView=true;
		navControl.addEventListener("sectorSelected",function(e){
			Ti.API.log("sectorSelected=" + e.index);
		});
		Ti.API.info(navControl);

		navControl.addEventListener("sectorClick",function(e){
			Ti.API.info('index:'+e.index);
			msg.text = "You had clicked by sector index " + e.index + ". Click me to close.";
			alertWin.open();
		});
		
		
win1.add(navControl);	

//
// create controls tab and root window
//
var win2 = Titanium.UI.createWindow({  
    title:'Tab 2',
    backgroundColor:'#fff'
});
var tab2 = Titanium.UI.createTab({  
    icon:'KS_nav_ui.png',
    title:'Bug 2',
    window:win2
});

var webview = Titanium.UI.createWebView({
	url: "http://apachecorp.com/ShareholderProxy.aspx?shareholder_url=http://investor.apachecorp.com/alerts.cfm",
});

win2.add(webview);



//
//  add tabs
//
tabGroup.addTab(tab1);  
tabGroup.addTab(tab2);  


// open tab group
tabGroup.open();
